
TYPO3.Fluid - Bug # 8540

Status: Closed Priority: Should have
Author: Michael Schams Category:
Created: 2010-06-29 Assigned To:
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: Call to undefined method F3\\Fluid\\View\\TemplateView::parseTemplate()
Description

PHP Fatal error after changes in r4654 but also in r4656:

[Tue Jun 29 00:45:30 2010] [error] [client xx.xx.xx.xx] PHP Fatal error:
Call to undefined method F3\\Fluid\\View\\TemplateView::parseTemplate()
in /home/flow3/www/FLOW3-subversion/trunk/Packages/Framework/Fluid/Classes/View/AbstractTemplateView.php on line
236

History
#1 - 2010-06-29 07:50 - Michael Schams

Problem occurs if you have Partials in your templates, for example:

<f:render partial="PartialName" />

If fluid template files do not contain partials to render, problem does not appear.

#2 - 2010-07-15 13:38 - Karsten Dambekalns
- Project changed from TYPO3.Flow to TYPO3.Fluid

#3 - 2010-07-15 17:19 - Sebastian Kurfuerst

Hey,

can you upload your template please? Here, everything seems to work with the exact same setup.

Greets,
Sebastian

#4 - 2010-07-20 02:02 - Michael Schams

Hmmm... we are unable to reproduce this issue again. In (newer) FLOW3/Fluid versions, Partials are working. Also tested with FLOW3-1.0.0-alpha10
package.

I am happy to suspend this ticket or close it as "not reproducible".
#5 - 2010-07-20 09:18 - Sebastian Kurfuerst
- Status changed from New to Closed

great that it is solved :-)

Greets,
Sebastian
